petsc-3.4.2 2013-07-02

# DMMoabCreateVector

Create a Vec from either an existing tag, or a specified tag size, and a range of entities

### Synopsis

    #include "petscdm.h"
    #include "petscdm.h"
    PetscErrorCode DMMoabCreateVector(DM dm,moab::Tag tag,PetscInt tag_size,moab::Range range,PetscBool serial, PetscBool destroy_tag,Vec *vec)

Collective on MPI_Comm

### Input Parameter

dm -The DMMoab object being set
tag -If non-zero, block size will be taken from the tag size
tag_size -If tag was zero, this parameter specifies the block size; unique tag name will be generated automatically
range -If non-empty, Vec corresponds to these entities, otherwise to the entities set on the DMMoab
serial -If true, this is a serial Vec, otherwise a parallel one
destroy_tag -If true, MOAB tag is destroyed with Vec, otherwise it is left on MOAB

### Output Parameter

vec -The created vector

### Keywords

DMMoab, create

Level:beginner
Location:src/dm/impls/moab/dmmoab.cxx
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex30.cxx.html